default:
  image: pdagog/latex

pages:
  script:
  - mkdir -p public
  - make
  - cp conseils/conseils.pdf		public/conseils.pdf
  - cp manuel/manuel.pdf		public/manuel.pdf
  - cp exercices/exercices.pdf		public/exercices.pdf
  - cp cours-ps/tout.pdf		public/cours-ps.pdf
  - cp cours-ps/print-tout.pdf		public/print-ps.pdf
  - cp cours-se/tout.pdf		public/cours-se.pdf
  - cp cours-se/print-tout.pdf		public/print-se.pdf
  - cp cours-sc/tout.pdf		public/cours-sc.pdf
  - cp cours-sc/print-tout.pdf		public/print-sc.pdf
  - cp cours-ase/tout.pdf		public/cours-ase.pdf
  - cp cours-ase/print-tout.pdf		public/print-ase.pdf
  - cp cours-cse/tout.pdf		public/cours-cse.pdf
  - cp cours-cse/print-tout.pdf		public/print-cse.pdf
  - cp cours-diu-eil/tout.pdf		public/cours-diu-eil.pdf
  - cp cours-diu-eil/print-tout.pdf	public/print-diu-eil.pdf
  - cp mem-stage/memoire.pdf		public/memoire.pdf
  - cp z33refcard/z33refcard.pdf	public/z33refcard.pdf
  - make index.html
  - cp index.html public/
  cache:
    untracked: true
  artifacts:
    paths:
    - public
  only:
  - master
